#include <string>
#include <dpp/dpp.h>
#include <dpp/channel.h>

#include "utils.hpp"
#include "pymenu.hpp"

int main(int ac, char **av, char** env)
{
    (void) ac;
    dpp::cluster bot(get_token(av, env), dpp::i_default_intents | dpp::i_message_content);

    bot.on_log(dpp::utility::cout_logger());

    on_react(bot);
    on_message(bot);

    bot.on_ready([&bot](const dpp::ready_t& event)
    {
        std::cout << bot.me.id << std::endl;
        (void) event;
    });

    bot.start(dpp::st_wait);
}