#include <cctype>
#include <cstddef>
#include <cstring>
#include <string>
#include <iostream>

#include "config.h"

static std::string get_price(std::string& str)
{
    std::string price;
    size_t i;

    for (i = 0; i != str.size(); i++)
    {
        if (std::strcmp(str.substr(i, 3).c_str(), "€") == 0)
        {
            if (price.empty())
            {
                price = "";
                continue;
            }
            price += "€";
            break;
        }
        else if (std::isdigit(str[i]) || str[i] == '.')
            price += str[i];
    }
    str.erase(i - (price.size() - 3), price.size());
    return price;
}

static std::string get_quantity(std::string& str)
{
    size_t i;
    std::string quantity;

    for (i = 0; i != str.size(); i++)
    {
        if (!std::isdigit(str[i]))
        {
            if (quantity.empty())
                continue;
            break;
        }
        quantity += str[i];
    }
    str.erase(i - quantity.size(), quantity.size());
    return quantity;
}

int get_article_data(std::string& str, std::string& quantity, std::string& price)
{
    price = get_price(str);
    std::cout << str << std::endl;
    quantity = get_quantity(str);

    return 0;
}

std::string get_token(char** av, char** env)
{
    if (av[1] != NULL)
        return av[1];
    for (size_t i = 0; env[i] != NULL; ++i)
    {
        if (std::strncmp("BOT_TOKEN", env[i], 9) == 0)
            return env[i] + 10;
    }
    return BOT_TOKEN;
}